"""
A library of models to decompose high-order epistasis in genotype-phenotype
maps.
"""
from .linear import EpistasisLinearRegression, EpistasisLasso
from .power import EpistasisPowerTransform, EpistasisPowerTransformLasso
from .nonlinear import (EpistasisNonlinearRegression,
                         EpistasisNonlinearLasso,
                         Parameter,
                         Parameters)
from .classifiers import EpistasisLogisticRegression
from .pipeline import EpistasisPipeline
